<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>LinkCheck Plugin Properties</title>
  </properties>
  <body>
    <section name="LinkCheck Plugin Properties">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.build.dir</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${basedir}/target</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.docs.dest</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/docs</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.docs.outputencoding</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>ISO-8859-1</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.linkcheck.cache</td>
          <td>Yes</td>
          <td>
            <p>Determines where the cache for the linkchecking is stored.  Default value is
              <code>${maven.build.dir}/linkcheck/linkcheck.cache</code>. This means that
			  a clean build deletes the cache.  If you have an extremely large document tree this
		      can have a negative effect on performance.</p>
          </td>
        </tr>
        
      </table>
    </section>
  </body>
</document>